<!DOCTYPE html>
<html lang="en">
    <head>

        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

        <!-- App manifest -->
        <link rel="manifest" href="{{ base_url() }}/public/manifest.json">
        <!-- Browserconfig -->
        <meta name="msapplication-config" content="{{ base_url() }}/public/browserconfig.xml" />
        <meta name="theme-color" content="#abd07e" />

        <!-- Page Title -->
        <title>{{ trans('back.app.authentication_signup') }}</title>

        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous" />
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ base_url() }}/public/css/back/adminlte.min.css">
        <!-- iCheck -->
        <link rel="stylesheet" href="{{ base_url() }}/src/assets/scss/back/skins/synthWave84/plugins/iCheck/all.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

        <!-- Favicon(s) -->
        {{ include('back/_partials/fav-icons.twig') }}

    </head>
    <body class="hold-transition register-page">
        <div class="register-box">
            <div class="register-logo">
                <a href="/">
                    <img src="{{ base_url() }}/src/assets/images/back/logo-icon-light.png" alt="">
                    <b>nexus</b>API
                </a>
            </div>

            <div class="register-box-body">
                <p class="login-box-msg">
                    {{ trans('back.app.user_sign_up_headline') }}
                </p>

                <form action="{{ path_for('back.signup') }}" method="post">
                    <!-- input : FIRST NAME -->
                    <div class="form-group has-feedback {{ errors.First-Name ? 'has-error' }} : '' ">
                        <input id="First-Name" name="First-Name" type="text" class="form-control" placeholder="{{ trans('back.app.user_sign_up_first_name_placeholder') }}">
                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                        {%  if errors.First-Name %}
                            <span class="help-block">{{ errors.First-Name | first }}</span>
                        {% endif %}
                    </div>
                    <!-- input : LAST NAME -->
                    <div class="form-group has-feedback {{ errors.Last-Name ? 'has-error' }} : '' ">
                        <input id="Last-Name" name="Last-Name" type="text" class="form-control" placeholder="{{ trans('back.app.user_sign_up_last_name_placeholder') }}">
                        <span class="glyphicon glyphicon-user form-control-feedback"></span>
                        {%  if errors.Last-Name %}
                            <span class="help-block">{{ errors.Last-Name | first }}</span>
                        {% endif %}
                    </div>
                    <!-- input : EMAIL -->
                    <div class="form-group has-feedback {{ errors.Email ? 'has-error' }} : '' ">
                        <input id="Email" name="Email" type="email" class="form-control" placeholder="{{ trans('back.app.user_sign_up_email_placeholder') }}">
                        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                        {%  if errors.Email %}
                            <span class="help-block">{{ errors.Email | first }}</span>
                        {% endif %}
                    </div>
                    <!-- input : PASSWORD -->
                    <div class="form-group has-feedback {{ errors.Password ? 'has-error' }} : '' ">
                        <input id="Password" name="Password" type="password" class="form-control" placeholder="{{ trans('back.app.user_sign_up_password_placeholder') }}" autocomplete="off">
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        {%  if errors.Password %}
                            <span class="help-block">{{ errors.Password | first }}</span>
                        {% endif %}
                    </div>
                    <!-- input : PASSWORD > CONFIRM -->
                    <div class="form-group has-feedback {{ errors.Confirm-Password ? 'has-error' }} : '' ">
                        <input id="Confirm-Password" name="Confirm-Password" type="password" class="form-control" placeholder="{{ trans('back.app.user_sign_up_password_placeholder_conf') }}" autocomplete="off">
                        <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
                        {%  if errors.Confirm-Password %}
                            <span class="help-block">{{ errors.Confirm-Password | first }}</span>
                        {% endif %}
                    </div>

                    <div class="row">
                        <div class="col-xs-8">
                            <div class="checkbox icheck">
                                <label>
                                    <input type="checkbox"> {{ trans('back.app.user_sign_up_agree_to_terms_text') }} <a href="#">{{ trans('back.app.user_sign_up_agree_to_terms_link') }}</a>
                                </label>
                            </div>
                        </div>
                        <!-- /.col -->
                        <div class="col-xs-4">
                            <button type="submit" class="btn btn-nexus btn-block btn-flat">
                                {{ trans('back.app.user_sign_up_button') }}
                            </button>
                            <!-- CSRF protection -->
                            {{ csrf.field | raw }}
                        </div>
                        <!-- /.col -->
                    </div>
                </form>

                <a href="{{ path_for('back.signin') }}" class="text-center">
                    {{ trans('back.app.user_sign_up_im_already_a_member') }}
                </a>

            </div>
            <!-- /.form-box -->
        </div>
        <!-- /.register-box -->

        <!--------------------------
        |   REQUIRED JS SCRIPTS    |
        -------------------------->

        <!-- jQuery 3 -->
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
        <!-- iCheck -->
        <script src="{{ base_url() }}/public/js/back/vendors/icheck.min.js"></script>
        <script>
            $(function () {
                $('input').iCheck({
                    checkboxClass: 'icheckbox_square-synth',
                    radioClass: 'iradio_square-synth',
                    increaseArea: '20%' /* optional */
                });
            });
        </script>
    </body>
</html>